Bug 215270 - Grub fails to boot after fresh install
Grub fails to boot after fresh install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
: 215271 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 00:55 EST by Fikret Skrgic
Modified: 2008-05-06 12:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:48:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fikret Skrgic 2006-11-13 00:55:26 EST
From Bugzilla Helper:
User-Agent: Opera/9.02 (X11; Linux i686; U; en)

Description of problem:
I installed FC6 and grub failed to boot with a message "GRUB hard disk error". 
I tried both, 32 and 64-bit versions with the same outcome.

The hardware is the following:

DFI Lan Party Ultra-D NForce4
2GB dual/channel OCZ memory
two Raptor hard disks (WD740GD SATA)
two IDE hard disks
AMD Athlon 64 4400+ X2

The operating system is installed on one of the two SATA disks. The other SATA 
disk and the two IDE disks serve as storage. Here's parted printout (from FC5, 
which is also installed and works perfectly):

Disk /dev/sda: 74.4GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number  Start   End     Size    Type      File system  Flags
 1      32.3kB  26.2GB  26.2GB  primary   ntfs         boot
 2      26.2GB  74.3GB  48.1GB  extended               lba
 5      26.2GB  26.3GB  107MB   logical   ext3
 6      26.3GB  39.7GB  13.4GB  logical   ext3
 7      39.7GB  39.9GB  107MB   logical   ext3
 8      39.9GB  53.3GB  13.4GB  logical   ext3
 9      53.3GB  73.7GB  20.4GB  logical   ext3
10      73.7GB  74.3GB  650MB   logical   linux-swap
11      74.3GB  74.3GB  16.4MB  logical   fat16        hidden

sda1 is an NTFS partition with Windows installed (for Pro Evolution Soccer and 
other games;-) ). sda5 and sda6 are the boot and the root partition for Fedora 
5. sda7 and sda8 are the boot and the root partition for Fedora 6. sda9 is the 
home partition. The last partition is an Acronis OS Selector partition. OS 
Selector boots everything else. I use OS Selector, since I can't rely on 
Windows stability and, if it needs to be reinstalled, it overwrites the MBR. 
This way it is not a problem, since I can restore the OS Selector from Windows. 
I have to have Windows for games. I have been doing this for many years and 
never had any problems. I always have two sets of boot/root partitions, one for 
primary use and the other for testing Fedora releases and sometimes for 
checking out other distributions. If everything is OK with the new Fedora 
installation, they switch roles, i.e. the test partitions become primary and 
the primary ones become test partitions. If everything was fine with the new 
FC6 installation, that would have happened. Luckily, I do this, and I am not 
completely screwed by FC6 not booting.

If I add en entry in the FC5 grub.conf (sda5 boot partition) for booting FC6 
(copy the stuff from grub.conf from sda7, FC6 boot partition) I can boot Fedora 
6. So, obviously the problem is in grub that comes with FC6.

What is the problem? How do I solve this problem? Will grub be fixed and an 
updated image released? I can't imagine that I am the only one with this 
problem. I see people are compalining at fedoraforum.org. Will I be able to, at 
least, do a network install, which would pull an updated version of grub with 
this problem fixed or will I have to skip this version of Fedora and wait for 
Fedora 7? Please, fix this before Fedora 7 is released.

Version-Release number of selected component (if applicable):
grub-0.97-13

How reproducible:
Always


Steps to Reproduce:
1. Install Fedora 6
2. Try to boot
3. Get the message: GRUB hard disk error

Actual Results:
Got the message: GRUB hard disk error

Expected Results:
Fedora should have booted.

Additional info:
Comment 1 Peter Jones 2006-11-14 11:28:31 EST
*** Bug 215271 has been marked as a duplicate of this bug. ***
Comment 2 Theodore C. Belding 2007-02-17 04:13:03 EST
I had a similar problem after a fresh install: Grub froze when loading stage2.
Booting using the FC6 rescue CD, downloading and reverting to the grub-0.97-5
RPM from FC5, running grub-install, and rebooting fixed the problem for me.
Comment 3 Theodore C. Belding 2007-02-17 17:16:07 EST
An update from the above comment: After the first boot, I re-upgraded to
grub-0.97-13 and it seems to work fine now, in contrast to before. Booting the
first time with grub-0.97-5 seemed to solve the problem.
Comment 4 Bug Zapper 2008-04-04 00:38:31 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:48:09 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.